explain_dup2_or_die(3)

NAME
explain_dup2_or_die - duplicate a file descriptor and report errors
    "duplicate a file descriptor and report errors"

SYNOPSIS
#include <libexplain/dup2.h>

void explain_dup2_or_die(int oldfd, int newfd);

DESCRIPTION
The explain_dup2_or_die function is used to call the dup2(2) system call. On failure an explanation will be printed to stderr, obtained from explain_dup2(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_dup2_or_die(oldfd, newfd);

oldfd
    The oldfd, exactly as to be passed to the dup2(2) system call.

newfd
    The newfd, exactly as to be passed to the dup2(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

dup2(2)
    duplicate a file descriptor

explain_dup2(3)
    explain dup2(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller